## org.jboss.netty.channel
Interface MessageEvent

All Superinterfaces:
  ChannelEvent

All Known Implementing Classes:
  DownstreamMessageEvent, UpstreamMessageEvent

    public interface MessageEvent

extends ChannelEvent

A `ChannelEvent` which represents the transmission or reception of a message. It can mean the notification of a received message or the request for writing a message, depending on whether it is an upstream event or a downstream event respectively. Please refer to the `ChannelEvent` documentation to find out what an upstream event and a downstream event are and what fundamental differences they have.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`Object` `getMessage()` Returns the message.
`SocketAddress` `getRemoteAddress()` Returns the remote address of the message.

Methods inherited from interface org.jboss.netty.channel.ChannelEvent
`getChannel, getFuture`

Method Detail

### getMessage

    Object getMessage()

  Returns the message.

### getRemoteAddress

    SocketAddress getRemoteAddress()

  Returns the remote address of the message.

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.